## python-service-identity 24.2.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/service_identity.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/service_identity.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/service_identity"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/service_identity"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## python-service-identity 1.0.0

=== debian/changelog ===
python-service-identity (1.0.0-3) unstable; urgency=medium

  * Drop build dependency on python{,3}-idna (needs some more packaging work).

 -- Matthias Klose <doko@foobar>  Sat, 09 Aug 2014 21:02:48 +0200

python-service-identity (1.0.0-2) unstable; urgency=medium

  * Enable running the testsuite during the build.

 -- Matthias Klose <doko@debian.org>  Sun, 03 Aug 2014 19:44:42 +0200

python-service-identity (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #754866).

 -- Matthias Klose <doko@debian.org>  Tue, 15 Jul 2014 09:35:43 +0000

=== debian/control ===
Source: python-service-identity
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>
Build-Depends: debhelper (>= 9), dh-python,
  python-all, python-setuptools, python-openssl, python-pyasn1-modules, python-characteristic, python-pytest,
  python3-all-dev, python3-setuptools, python3-openssl, python3-pyasn1-modules, python3-characteristic, python3-pytest,
# needs some packaging work
# python3-idna, python-idna
Build-Depends-Indep: python3-sphinx
Standards-Version: 3.9.5
Section: python
Homepage: https://pypi.python.org/pypi/service_identity

Package: python-service-identity
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Recommends: python-idna
Description: Service identity verification for pyOpenSSL (Python 2 module)
 Service_identity aspires to give you all the tools you need for verifying
 whether a certificate is valid for the intended purposes.
 .
 In the simplest case, this means host name verification.  However,
 service_identity implements RFC 6125 fully and plans to add other
 relevant RFCs too.

Package: python3-service-identity
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Recommends: python3-idna
Description: Service identity verification for pyOpenSSL (Python 3 module)
 Service_identity aspires to give you all the tools you need for verifying
 whether a certificate is valid for the intended purposes.
 .
 In the simplest case, this means host name verification.  However,
 service_identity implements RFC 6125 fully and plans to add other
 relevant RFCs too.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	: # ignore test results, idna test fail
	-dh_auto_test -- --test-pytest --test-args='{dir}/tests'

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/ \
http://pypi.python.org/packages/source/s/service_identity/service_identity-(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))

## python-service-identity 14.0.0

=== debian/changelog ===
python-service-identity (14.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Build-depend on python3-idna, python-idna.

 -- Matthias Klose <doko@debian.org>  Wed, 02 Sep 2015 21:17:52 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,9 @@
 Build-Depends: debhelper (>= 9), dh-python,
   python-all, python-setuptools, python-openssl, python-pyasn1-modules, python-characteristic, python-pytest,
   python3-all-dev, python3-setuptools, python3-openssl, python3-pyasn1-modules, python3-characteristic, python3-pytest,
-# needs some packaging work
-# python3-idna, python-idna
+ python3-idna, python-idna
 Build-Depends-Indep: python3-sphinx
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: python
 Homepage: https://pypi.python.org/pypi/service_identity

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/ \
http://pypi.debian.net/service_identity/service_identity-(.*).tar.gz

## python-service-identity 16.0.0

=== debian/changelog ===
python-service-identity (16.0.0-2) unstable; urgency=medium

  * Adopt package; thanks to Matthias Klose for his work so far.
  * Update debian/watch to check signatures and use https.
  * Switch python{,3}-characteristic dependency to python{,3}-attr
    (closes: #815385).

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 21 Feb 2016 23:30:43 +0200

python-service-identity (16.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Relax build dependencies. Closes: #799687.

 -- Matthias Klose <doko@debian.org>  Sat, 20 Feb 2016 22:23:25 +0100

=== debian/control ===
Source: python-service-identity
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Tristan Seligmann <mithrandi@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all,
 python-attr,
 python-idna,
 python-openssl,
 python-pyasn1-modules,
 python-pytest,
 python-setuptools,
 python3-all,
 python3-attr,
 python3-idna,
 python3-openssl,
 python3-pyasn1-modules,
 python3-pytest,
 python3-setuptools,
Build-Depends-Indep: python3-sphinx
Standards-Version: 3.9.7
Section: python
Homepage: https://pypi.python.org/pypi/service_identity
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-service-identity.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-servicy-identity.git

Package: python-service-identity
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Recommends: python-idna
Description: Service identity verification for pyOpenSSL (Python 2 module)
 Service_identity aspires to give you all the tools you need for verifying
 whether a certificate is valid for the intended purposes.
 .
 In the simplest case, this means host name verification.  However,
 service_identity implements RFC 6125 fully and plans to add other
 relevant RFCs too.
 .
 This package contains service_identity for Python 2.

Package: python3-service-identity
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: python3-idna
Description: Service identity verification for pyOpenSSL (Python 3 module)
 Service_identity aspires to give you all the tools you need for verifying
 whether a certificate is valid for the intended purposes.
 .
 In the simplest case, this means host name verification.  However,
 service_identity implements RFC 6125 fully and plans to add other
 relevant RFCs too.
 .
 This package contains service_identity for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

export LC_ALL=C.UTF-8

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	: # ignore test results, idna test fail
	dh_auto_test -- --test-pytest --test-args='{dir}/tests'

=== debian/tests/control ===
Test-Command: for p in $(pyversions -s) $(py3versions -s); do $p -m pytest tests/; done
Depends:
 python-all,
 python-pytest,
 python3-all,
 python3-pytest,
 @

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/service_identity/service_identity-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-service-identity 18.1.0

=== debian/changelog ===
python-service-identity (18.1.0-5build1) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:44:17 +0000

python-service-identity (18.1.0-5) unstable; urgency=medium

  * No-change rebuild.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 13 Jul 2019 01:16:30 +0200

python-service-identity (18.1.0-4) unstable; urgency=medium

  * Don’t *actually* fail when there are no tests to run.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 11 Jul 2019 20:06:23 +0200

python-service-identity (18.1.0-3) unstable; urgency=medium

  * Skip tests when not present in the upstream tarball.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 26 Jun 2019 12:59:52 -0500

python-service-identity (18.1.0-2) unstable; urgency=medium

  * Upload to unstable (Closes: #930636).
  * Use debhelper-compat 12.
  * Update copyright years.
  * Bump Standards-Version to 4.3.0.3 (no changes).

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 24 Jun 2019 15:30:09 -0500

python-service-identity (18.1.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Andrej Shadura ]
  * Upload to experimental.
  * New upstream version.
  * Add new build dependencies.
  * Bump debhelper from old 9 to 10.
  * Re-export upstream signing key without extra signatures.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 21 Jun 2019 08:52:20 -0500

=== debian/control ===
--- 
+++ 
@@ -3,28 +3,31 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Tristan Seligmann <mithrandi@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 12),
  dh-python,
  python-all,
  python-attr,
+ python-cryptography,
  python-idna,
+ python-ipaddress,
  python-openssl,
  python-pyasn1-modules,
  python-pytest,
  python-setuptools,
  python3-all,
  python3-attr,
+ python3-cryptography,
  python3-idna,
  python3-openssl,
  python3-pyasn1-modules,
  python3-pytest,
  python3-setuptools,
 Build-Depends-Indep: python3-sphinx
-Standards-Version: 3.9.7
+Standards-Version: 4.3.0.3
 Section: python
 Homepage: https://pypi.python.org/pypi/service_identity
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-service-identity.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-servicy-identity.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-service-identity.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-service-identity
 
 Package: python-service-identity
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -9,5 +9,5 @@
 	dh $@ --with python2,python3 --buildsystem=pybuild
 
 override_dh_auto_test:
-	: # ignore test results, idna test fail
-	dh_auto_test -- --test-pytest --test-args='{dir}/tests'
+	# ignore test results, idna test fail
+	[ -d tests/ ] && dh_auto_test -- --test-pytest --test-args='{dir}/tests' || true

=== debian/tests/control ===
Test-Command: for p in $(pyversions -s) $(py3versions -s); do if [ -d tests/ ]; then $p -m pytest tests/; fi; done
Depends:
 python-all,
 python-pytest,
 python3-all,
 python3-pytest,
 @

## python-service-identity 23.1.0

=== debian/changelog ===
python-service-identity (23.1.0-1) unstable; urgency=medium

  * Team upload.
  * Remove debian/patches/Add-missing-six-dependency, no longer needed
  * Remove signature checking from debian/watch, no loner supported by pypi
  * Update debian/watch to version 4 and simplify so it works
  * New upstream release (Closes: #1008863)
  * Update Homepage: field in debian/control to point to GitHub vice PyPI
  * Update build-depends to match upstream switch to pyproject.toml and
    hatchling
  * Add python3-hatch-vcs and python3-hatch-fancy-pypi-readme to build-depends
  * Remove dh_auto_test override, no longer needed

 -- Scott Kitterman <scott@kitterman.com>  Fri, 07 Jul 2023 14:19:40 -0400

python-service-identity (18.1.0-8) unstable; urgency=medium

  * Cherry-pick addition of missing six dependency from upstream
    (Closes: #1030628).

 -- Robie Basak <robie@justgohome.co.uk>  Sun, 05 Feb 2023 22:10:42 +0000

python-service-identity (18.1.0-7) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.

 -- Sandro Tosi <morph@debian.org>  Mon, 20 Jun 2022 01:41:00 -0400

python-service-identity (18.1.0-6) unstable; urgency=medium

  * Drop python2 support; Closes: #938164

 -- Sandro Tosi <morph@debian.org>  Wed, 01 Apr 2020 21:09:17 -0400

## python-service-identity 24.1.0

=== debian/changelog ===
python-service-identity (24.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Tue, 16 Jan 2024 14:12:18 -0500

=== debian/control ===
Source: python-service-identity
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Tristan Seligmann <mithrandi@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3-all,
 python3-hatch-fancy-pypi-readme,
 python3-hatch-vcs,
 python3-hatchling,
 python3-all,
 python3-attr,
 python3-cryptography,
 python3-idna,
 python3-openssl,
 python3-pyasn1-modules,
 python3-pytest,
Build-Depends-Indep: python3-sphinx
Standards-Version: 4.3.0.3
Section: python
Homepage: https://github.com/pyca/service-identity
Vcs-Git: https://salsa.debian.org/python-team/packages/python-service-identity.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-service-identity

Package: python3-service-identity
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: python3-idna
Description: Service identity verification for pyOpenSSL (Python 3 module)
 Service_identity aspires to give you all the tools you need for verifying
 whether a certificate is valid for the intended purposes.
 .
 In the simplest case, this means host name verification.  However,
 service_identity implements RFC 6125 fully and plans to add other
 relevant RFCs too.
 .
 This package contains service_identity for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

export LC_ALL=C.UTF-8

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: for p in $(py3versions -s); do if [ -d tests/ ]; then $p -m pytest tests/; fi; done
Depends:
 python3-all,
 python3-pytest,
 @

=== debian/watch ===
version=4
https://pypi.debian.net/service-identity/service_identity-(.+)\.tar\.gz

## python-service-identity 24.2.0

=== debian/changelog ===
python-service-identity (24.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Use dh-sequence-python3.
  * Run more tests in autopkgtest.
  * Remove Tristan Seligmann from Uploaders (closes: #1041170); thanks for
    your work!
  * Add myself to Uploaders.

 -- Colin Watson <cjwatson@debian.org>  Tue, 11 Mar 2025 04:01:05 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: python-service-identity
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Tristan Seligmann <mithrandi@debian.org>
+Uploaders: Colin Watson <cjwatson@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
  python3-hatch-fancy-pypi-readme,

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,4 @@
 export LC_ALL=C.UTF-8
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: for p in $(py3versions -s); do if [ -d tests/ ]; then $p -m pytest tests/; fi; done
Depends:
 python3-all,
 python3-idna,
 python3-openssl,
 python3-pytest,
 @
